Subject: bug#24918: 25.1; Fonts can make Emacs grind to a halt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2016 05:42:58 +0200

> From: Klaus-Dieter Bauer <[email-masked]>
> Date: Tue, 29 Nov 2016 23:42:38 +0100
> Cc: [email-masked]
> 
> Ah, I missed that line in `C-u C-x ='. (I also don't see any message from Clément). 
> 
> #### Using "emacs -Q" ####
> 
> It says for the ⇒ (\Rightarrow) symbol
> display: by this font (glyph code)
> uniscribe:-outline-Malgun Gothic-normal-normal-normal-sans-17-*-*-*-p-*-ksc5601.1987-0 (#x22D)
> 
> For the ‖ (\Vert) and ※ (\textreferencemark) symbols:
> uniscribe:-outline-MS Gothic-normal-normal-normal-mono-17-*-*-*-c-*-gb2312.1980-0 (#x340)
> 
> For the symbol:
> uniscribe:-outline-MS Gothic-normal-normal-normal-mono-17-*-*-*-c-*-gb2312.1980-0 (#x364)
> 
> #### With init file #### 
> 
> (using Linux Libertine Mono as default font)
> 
> The ‖ and ※ symbols work fine in that configuraiton. 
> "⇒" still causes the issue here too, and falls back to identically the same `uniscribe' line
> uniscribe:-outline-Malgun Gothic-normal-normal-normal-sans-17-*-*-*-p-*-ksc5601.1987-0 (#x22D)
> 
> The extreme lag in `package-list-packages' seems to be caused by the ▲ symbol in the **header line**,
> which works fine with the default font, but is substituted with 
> uniscribe:-outline-Malgun Gothic-normal-normal-normal-sans-16-*-*-*-p-*-gb2312.1980-0 (#x240)
> when using `Linux Libertine Mono' or `Noto Mono'.

I think the problem is that these fonts have registry that is not
iso10646-1 (i.e. Unicode).

Do you have Symbola installed?  I'm guessing you don't, and if so, can
you please install it?  Emacs by default is configured to use that
font for these symbols, and with the correct registry.

> By any chance, do any of your test systems run Windows and have MS Office installed? (In my case the 2010
> version.) It should be the primary source of Unicode fonts on my system. 

Yes, I do on one of my machines, and I don't experience these problems
there.